Skip to main content

Create Invoice: MRI

POSThttps://api.propexo.com/v1/invoices/mri/
Method
/mriapiservices/api.asp?$api=MRI_S-PMAP_CreateInvoice
Notice

This write operation will set the created_record_id flag on the write-status endpoint and allow for new record to be read back in immediately.

Authentication​

  • AuthorizationBearer
    Bearer authentication of the form Bearer <token>, where token is your auth token.

Request​

This endpoint expects an object.

    integration_idstringrequired

    The Propexo unique identifier for the integration

    vendor_idstringrequired

    The Propexo unique identifier for the vendor

    partner_namestringrequired

    The name of your integration with MRI

    invoice_numberstringrequired

    The invoice or reference number that the vendor assigned to the service request

    post_monthstringrequired

    The post month for the invoice. We will strip all data out of the datetime except the year and month.

    Show 2 variants
    • string<date-time>
    • stringPattern: ^\d{4}-\d{2}-\d{2}$
    invoice_items object[]required
  • Array [
  • accounting_entity_idstringrequired

    The Propexo unique identifier for the accounting entity

    financial_account_idstringrequired

    The Propexo unique identifier for the financial account

    total_amount_in_centsintegerrequired

    The total amount of the invoice item

    Possible values: >= 0

    notesstringrequired

    Notes associated with the invoice item

    item_numberinteger

    A numeric identifier that must be unique for each item in the invoice

    Possible values: > 0

    descriptionstring

    Description of the invoice item

  • ]
  • invoice_datestring

    The date of issuance for the invoice

    Show 2 variants
    • string<date-time>
    • stringPattern: ^\d{4}-\d{2}-\d{2}$
    due_datestring

    The due date associated with the invoice

    Show 2 variants
    • string<date-time>
    • stringPattern: ^\d{4}-\d{2}-\d{2}$
    total_amount_in_centsinteger

    The total amount of the invoice

    Possible values: >= 0

    descriptionstring

    Description of the invoice

    scanned_copy_urlstring

    The URL assigned to the copy of the original invoice that was imported from a third-party system

    purchase_order_numberstring

    Set this parameter to the purchase order number that contains the line items to be invoiced. MRI will validate and link the invoice to the specified purchase order for processing.

    separate_checkboolean

    Whether to group the invoice payment on the same check with other invoices or pay the invoice separately on its own check

Response​

Successful response

    meta objectrequired
    job_idstringrequired
    result objectrequired
    integration_idstringrequired

    The Propexo unique identifier for the integration

    vendor_idstringrequired

    The Propexo unique identifier for the vendor

    partner_namestringrequired

    The name of your integration with MRI

    invoice_numberstringrequired

    The invoice or reference number that the vendor assigned to the service request

    post_monthstring | nullnullablerequired
    Show 2 variants
    • string<date-time>
    • stringPattern: ^\d{4}-\d{2}-\d{2}$
    invoice_items object[]required
  • Array [
  • accounting_entity_idstringrequired

    The Propexo unique identifier for the accounting entity

    financial_account_idstringrequired

    The Propexo unique identifier for the financial account

    total_amount_in_centsintegerrequired

    The total amount of the invoice item

    Possible values: >= 0

    notesstringrequired

    Notes associated with the invoice item

    item_numberinteger

    A numeric identifier that must be unique for each item in the invoice

    Possible values: > 0

    descriptionstring

    Description of the invoice item

  • ]
  • invoice_datestring | nullnullablerequired

    The date of issuance for the invoice

    Show 2 variants
    • string<date-time>
    • stringPattern: ^\d{4}-\d{2}-\d{2}$
    due_datestring | nullnullablerequired

    The due date associated with the invoice

    Show 2 variants
    • string<date-time>
    • stringPattern: ^\d{4}-\d{2}-\d{2}$
    total_amount_in_centsinteger | nullnullablerequired

    The total amount of the invoice

    Possible values: >= 0

    descriptionstring | nullnullablerequired

    Description of the invoice

    scanned_copy_urlstring | nullnullablerequired

    The URL assigned to the copy of the original invoice that was imported from a third-party system

    purchase_order_numberstring | nullnullablerequired

    Set this parameter to the purchase order number that contains the line items to be invoiced. MRI will validate and link the invoice to the specified purchase order for processing.

    separate_checkboolean | nullnullablerequired

    Whether to group the invoice payment on the same check with other invoices or pay the invoice separately on its own check

Errors​

  • 400Bad Request
      error objectrequired
      codestringrequired
      Example: invalid_request
      messagestringrequired
      Example: invalid request
      details object
      property name*any
      Example: {"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
POST /v1/invoices/mri/
curl -X POST https://api.propexo.com/v1/invoices/mri/ \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{
"integration_id": "string",
"vendor_id": "string",
"partner_name": "string",
"invoice_number": "string",
"post_month": "2024-07-29T15:51:28.071Z",
"invoice_items": [
{
"accounting_entity_id": "string",
"financial_account_id": "string",
"total_amount_in_cents": 0,
"notes": "string",
"item_number": 0,
"description": "string"
}
]
}'
200 Successful response
{
"meta": {
"job_id": "string"
},
"result": {
"integration_id": "string",
"vendor_id": "string",
"partner_name": "string",
"invoice_number": "string",
"post_month": "2024-07-29T15:51:28.071Z",
"invoice_items": [
{
"accounting_entity_id": "string",
"financial_account_id": "string",
"total_amount_in_cents": 0,
"notes": "string",
"item_number": 0,
"description": "string"
}
],
"invoice_date": "2024-07-29T15:51:28.071Z",
"due_date": "2024-07-29T15:51:28.071Z",
"total_amount_in_cents": 0,
"description": "string",
"scanned_copy_url": "string",
"purchase_order_number": "string",
"separate_check": true
}
}